<nb-card [nbSpinner]="loading">
    <nb-card-header>
      Customers <span class="text-disabled">({{allCustomersAmount}})</span>
    </nb-card-header>
    <nb-list>
      <nb-list-item *ngFor="let customer of customerList">
        <div style="width: 100%;">
          <div class="row">
            <div class="col-md-2">
              <div class="row-12 center-horizontal">
                <nb-icon icon="person-outline"></nb-icon> 
                {{customer.name}}
              </div>
            </div>
            <div class="col-md-2">
              <div class="row-12 center-horizontal">
                <nb-icon icon="phone-outline"></nb-icon> 
               {{customer.phone}}
              </div>
            </div>
            <div class="col-md-2">
              <div class="row-12 center-horizontal">
                <nb-icon icon="globe-2-outline"></nb-icon> 
               {{customer.nationkey.name}}
              </div>
            </div>
            <div class="col-md-3">
              <div class="row-12 center-horizontal">
                <nb-icon icon="hash-outline"></nb-icon>
                {{customer.custkey}}
              </div>
            </div>
            <div class="col-md-1">
              <div class="row-12">
                <nb-tag-list>
                  <nb-tag status="info" appearance="outline" text={{customer.mktsegment}}></nb-tag>
                </nb-tag-list>
              </div>
            </div>
        </div>
        </div>
      </nb-list-item>
    </nb-list>
  </nb-card>
  

<div class="centered sticky">
  <nb-button-group class="boxshadow" size="large" (valueChange)="updatePaginationSelectionValue($event)">
    <button nbButtonToggle *ngFor="let item of paginationPages; index as i" [pressed]="i === 0" [value]="i+1">{{i + 1}}</button>
  </nb-button-group>
</div>
